Bug 504479 - Review Request: rubygem-cucumber - Tool to execute plain-text documents as functional tests
Review Request: rubygem-cucumber - Tool to execute plain-text documents as fu...
Status: CLOSED RAWHIDE
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
low Severity medium
: ---
: ---
Assigned To: Jan Klepek
Fedora Extras Quality Assurance
:
: 588431 (view as bug list)
Depends On: 504468 504469 504475 504481
Blocks: 504476
  Show dependency treegraph
 
Reported: 2009-06-07 07:45 EDT by Lubomir Rintel
Modified: 2014-07-22 08:14 EDT (History)
6 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-11-12 01:29:46 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
jan.klepek: fedora‑review+
limburgher: fedora‑cvs+


Attachments (Terms of Use)

  None (edit)
Description Lubomir Rintel 2009-06-07 07:45:16 EDT
SPEC: http://v3.sk/~lkundrak/gdc-ruby-stack/SPECS/rubygem-cucumber.spec
SRPM: http://v3.sk/~lkundrak/gdc-ruby-stack/SRPMS/rubygem-cucumber-0.3.10-1.fc11.src.rpm

Description:

Cucumber lets software development teams describe how software should behave
in plain text. The text is written in a business-readable domain-specific
language and serves as documentation, automated tests and development-aid.
Comment 1 Lubomir Rintel 2009-06-07 07:57:35 EDT
rubygem-cucumber.noarch: W: wrong-file-end-of-line-encoding /usr/lib/ruby/gems/1.8/doc/cucumber-0.3.10/examples/dos_line_endings/features/dos_line_endings.feature

This file demonstrates CRLF handling, therefore is ok to have CRLF line endings.

rubygem-cucumber.noarch: E: non-executable-script /usr/lib/ruby/gems/1.8/gems/cucumber-0.3.10/rails_generators/cucumber/templates/cucumber 0644

This is ok as well -- it is a script template, has a shebang but should not be executable.
Comment 4 Jan Klepek 2009-08-05 09:14:50 EDT
Lubomir, if it is possible, could you please package latest version? (0.3.93.1)
Comment 5 Jan Klepek 2009-08-29 03:52:23 EDT
ping?
Comment 6 Matthew Kent 2009-09-29 03:06:18 EDT
Hi, I'm working on ruby packages that could benefit from this, willing to help.
Comment 7 Lubomir Rintel 2009-10-12 05:56:17 EDT
SPEC: http://v3.sk/~lkundrak/gdc-ruby-stack/SPECS/rubygem-cucumber.spec
SRPM:
http://v3.sk/~lkundrak/gdc-ruby-stack/SRPMS/rubygem-cucumber-0.4.0-1.fc11.src.rpm

Matthew: Feel free to step in whenever a packager is irresponsive (such as me).
Comment 8 Jan Klepek 2009-10-13 04:33:56 EDT
1] rpmlint complaining:
1a]
rubygem-cucumber.noarch: E: non-executable-script /usr/lib/ruby/gems/1.8/gems/cucumber-0.4.0/rails_generators/cucumber/templates/cucumber 0644 /usr/bin/env
template, it should be ok to leave it like it is.

1b]
rubygem-cucumber.noarch: W: misspelled-macro /usr/lib/ruby/gems/1.8/doc/cucumber-0.4.0/ri/Cucumber/Ast/Table/diff%21-i.yaml %21
rubygem-cucumber.noarch: W: misspelled-macro /usr/lib/ruby/gems/1.8/doc/cucumber-0.4.0/ri/Cucumber/Parser/Feature/Background1/matches_tags%3f-i.yaml %3f
rubygem-cucumber.noarch: W: misspelled-macro /usr/lib/ruby/gems/1.8/doc/cucumber-0.4.0/ri/Cucumber/Parser/Feature/ScenarioOutline1/matches_name%3f-i.yaml %3f
rubygem-cucumber.noarch: W: misspelled-macro /usr/lib/ruby/gems/1.8/doc/cucumber-0.4.0/ri/Cucumber/Cli/ProfileLoader/cucumber_yml_defined%3f-i.yaml %3f
rubygem-cucumber.noarch: W: misspelled-macro /usr/lib/ruby/gems/1.8/doc/cucumber-0.4.0/ri/Cucumber/Parser/Feature/ScenarioOutline1/outline_matches_name%3f-i.yaml %3f

There is lot of warnings (50) misspelled-macro (%3f in name of file), what is reason for this characters in filename?
Comment 9 Lubomir Rintel 2009-10-13 04:41:43 EDT
(In reply to comment #8)
> 1] rpmlint complaining:
> 1a]
> rubygem-cucumber.noarch: E: non-executable-script
> /usr/lib/ruby/gems/1.8/gems/cucumber-0.4.0/rails_generators/cucumber/templates/cucumber
> 0644 /usr/bin/env
> template, it should be ok to leave it like it is.

Yep.

> 1b]
> rubygem-cucumber.noarch: W: misspelled-macro
> /usr/lib/ruby/gems/1.8/doc/cucumber-0.4.0/ri/Cucumber/Ast/Table/diff%21-i.yaml
> %21
> rubygem-cucumber.noarch: W: misspelled-macro
> /usr/lib/ruby/gems/1.8/doc/cucumber-0.4.0/ri/Cucumber/Parser/Feature/Background1/matches_tags%3f-i.yaml
> %3f
> rubygem-cucumber.noarch: W: misspelled-macro
> /usr/lib/ruby/gems/1.8/doc/cucumber-0.4.0/ri/Cucumber/Parser/Feature/ScenarioOutline1/matches_name%3f-i.yaml
> %3f
> rubygem-cucumber.noarch: W: misspelled-macro
> /usr/lib/ruby/gems/1.8/doc/cucumber-0.4.0/ri/Cucumber/Cli/ProfileLoader/cucumber_yml_defined%3f-i.yaml
> %3f
> rubygem-cucumber.noarch: W: misspelled-macro
> /usr/lib/ruby/gems/1.8/doc/cucumber-0.4.0/ri/Cucumber/Parser/Feature/ScenarioOutline1/outline_matches_name%3f-i.yaml
> %3f
> 
> There is lot of warnings (50) misspelled-macro (%3f in name of file), what is
> reason for this characters in filename?  

Upstream.
Comment 10 Mamoru TASAKA 2009-10-13 15:22:46 EDT
(In reply to comment #9)
> (In reply to comment #8)
> > 1b]
> > rubygem-cucumber.noarch: W: misspelled-macro
> > /usr/lib/ruby/gems/1.8/doc/cucumber-0.4.0/ri/Cucumber/Ast/Table/diff%21-i.yaml
> > %21
> > rubygem-cucumber.noarch: W: misspelled-macro
> > /usr/lib/ruby/gems/1.8/doc/cucumber-0.4.0/ri/Cucumber/Parser/Feature/Background1/matches_tags%3f-i.yaml
> > %3f
>
> Upstream.  

These are ri document files generated by rdoc (something like
doxygen-generated html files or man files)

For example, Cucumber/Ast/Table/diff%21-i.yaml corresponds to the
following command:
$ ri Cucumber::Ast::Table#diff!
Note the end "!", on the file name of ri yaml file this is escaped.
This shows the explanation of Cucumber::Ast::Table#diff! .
And Cucumber/Parser/Feature/Background1/matches_tags%3f-i.yaml corresponds
to
$ ri Cucumber::Parser::Feature::Background1#matches_tags?

Note that F-11/12/13 ri command cannot detect ri files installed
by Gems (based Fedora rpm) (not checked F-10 package)
and you may want to try new "ruby" rpm:
http://koji.fedoraproject.org/koji/buildinfo?buildID=136502
http://koji.fedoraproject.org/koji/buildinfo?buildID=136503
http://koji.fedoraproject.org/koji/buildinfo?buildID=136509
Comment 11 Mamoru TASAKA 2009-10-15 13:37:45 EDT
By the way 4.2 is released.
Comment 12 Jan Klepek 2009-10-15 16:38:38 EDT
- license ok
- rpmlint complaining, however it could be safely ignored
- location correct
- macros usage correct
- md5sum of source correct
- build ok
- guidelines ok
- ruby specific guidelines ok
- naming ok

as new version (0.4.2) was released, please update package to this version, hope following diff between yours and mine spec file will help.

--- SPECS/rubygem-cucumber.spec.old	2009-10-15 22:16:05.912579939 +0200
+++ SPECS/rubygem-cucumber.spec	2009-10-15 22:29:50.804448521 +0200
@@ -47,6 +47,11 @@
 
 # Remove zero-length documentation files
 find $RPM_BUILD_ROOT%{gemdir}/doc/%{gemname}-%{version} -empty -delete
# Manifest.txt is now zero-lenght
+rm $RPM_BUILD_ROOT%{geminstdir}/Manifest.txt
+
+# remove non-needed git repo files
+rm $RPM_BUILD_ROOT%{geminstdir}/.gitattributes
+find $RPM_BUILD_ROOT%{geminstdir} -name ".gitignore" -delete
 
 
 %clean
@@ -58,20 +63,19 @@
 %{_bindir}/cucumber
 %dir %{geminstdir}
 %{geminstdir}/bin
-%{geminstdir}/config
 %{geminstdir}/features
 %{geminstdir}/gem_tasks
 %{geminstdir}/lib
 %{geminstdir}/rails_generators
 %{geminstdir}/spec
-%{geminstdir}/cucumber.yml
+%{geminstdir}/cucumber.*
 %{geminstdir}/Rakefile
+%{geminstdir}/VERSION.yml
 %doc %{geminstdir}/examples
 %doc %{gemdir}/doc/%{gemname}-%{version}
 %doc %{geminstdir}/History.txt
-%doc %{geminstdir}/License.txt
-%doc %{geminstdir}/Manifest.txt
-%doc %{geminstdir}/README.txt
+%doc %{geminstdir}/LICENSE
+%doc %{geminstdir}/README.rdoc
 %{gemdir}/cache/%{gemname}-%{version}.gem
 %{gemdir}/specifications/%{gemname}-%{version}.gemspec


conclusion: approved when package updated to 0.4.2
Comment 13 Lubomir Rintel 2009-10-16 01:26:22 EDT
Thanks, will apply upon import.

New Package CVS Request
=======================
Package Name: rubygem-cucumber
Short Description: Tool to execute plain-text documents as functional tests
Owners: lkundrak mkent
Branches: F-11 F-12 EL-5
Comment 14 Kevin Fenzi 2009-10-17 16:49:08 EDT
cvs done.
Comment 15 Jan Klepek 2009-11-12 01:29:46 EST
builded and pushed into updates
Comment 16 Mamoru TASAKA 2010-05-03 14:14:16 EDT
*** Bug 588431 has been marked as a duplicate of this bug. ***
Comment 17 Troy Dawson 2014-07-21 18:36:29 EDT
Package Change Request
======================
Package Name: rubygem-cucumber
New Branches: epel7
Owners: tdawson
Comment 18 Gwyn Ciesla 2014-07-22 08:14:15 EDT
Git done (by process-git-requests).

Note You need to log in before you can comment on or make changes to this bug.